View Issue Details

IDProjectCategoryView StatusLast Update
0000009WishesMacropublic2014-07-30 13:36
ReportervskirdinAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0000009: множественные комбинации клавиш для активации макроса
DescriptionFrom: Сухачев Андрей <suhachov@mail.ru>

VS> RunAfterFARStart
VS> Появилось мнение (вернее два), что ЭТО нужно как то расширить в плане
VS> проф.пригодности.
Что имхо нужно расширить, так это схему обработки клавишосочетаний.
Чтобы в качестве триггеров макросов можно было использовать множественные
комбинации клавиш.
Типа:
     Ctrl-A, Ctrl-D нажать Ctrl-A потом нажать Ctrl-D
     Ctrl-A, D Нажать Ctrl-A потом нажать D.

Подобная схема могла бы работать следующим образом - пока есть совпадения
цепочки нажатий в списке макросов, не передавать их никуда, как только нашли
совпадение - выполнили макрос.
Если нажата клавиша, и цепочки такой нет, то либо всю цепочку нажатий вернуть
в буфер либо только последнюю клавишу (это неплохо было бы настраивать).

На вопрос - зачем это надо, ответ - т.к. слишком мало клавиш на стандартных
клавиатурах :) Да и смысловая группировка бы не помешала.


------- Additional Comments From Valentin Skirdin 2004-11-10 20:22 -------

Здесь можно сделать... так.

1. Каким то образом (каким?) произвести назначение клавиши.
2. Если ЭТО двойная, то первое сочетание станет новой веткой в реестре,
   а последующие сочетания - как его подветки.

Как делать назначение?
Что делать с удалением?
etc.
TagsNo tags attached.
Build0

Activities

samlyukov

2009-05-24 15:19

reporter   bugnote:0003237

как бы уже есть, не?

vskirdin

2009-05-24 15:42

administrator   bugnote:0003238

как бы еще нет, да!

сэмулировать можно, но здесь не про эмульгацию

alexy

2009-05-29 03:34

administrator   bugnote:0003346

Когда то, в далёком будущем.

Issue History

Date Modified Username Field Change
2005-10-15 09:22 vskirdin New Issue
2009-05-24 15:19 samlyukov Note Added: 0003237
2009-05-24 15:42 vskirdin Note Added: 0003238
2009-05-29 03:34 alexy Build => 0
2009-05-29 03:34 alexy Note Added: 0003346
2009-05-29 03:34 alexy Status new => closed
2009-05-29 03:34 alexy Resolution open => suspended
2013-02-03 04:34 alexy Severity minor => feature
2014-07-29 13:21 JohnDoe Status closed => feedback
2014-07-29 13:21 JohnDoe Resolution suspended => reopened
2014-07-30 13:35 2useven10 Assigned To => 2useven10
2014-07-30 13:35 2useven10 Status feedback => new
2014-07-30 13:36 2useven10 Assigned To 2useven10 =>